#!/bin/bash

PREFIX="bootsplash-patch-"
SUFFIX=".diff"
SRC_DIR="../src/versions"
DST_DIR="../patches"

if [ ! -f "`pwd`/`basename $0`" ]; then
	echo "You should call this script from its directory."
	exit 1
fi

rm -i "${DST_DIR}/${PREFIX}*${SUFFIX}"

for dir in ${SRC_DIR}/*; do
	for file in ${dir}/*; do
		if [ "${file##*.}"	!= "org" ]; then
			diff -uNr "${file}.org" "$file" \
			 >> "${DST_DIR}/${PREFIX}$(basename $dir)${SUFFIX}"
		fi
	done
done

exit 0
